FROM registry.gitlab.com/lavcorps-line/infrastructure/alpine-dockers/3.21:stable AS base
LABEL maintainer="Samantha Divina <lavcorps@protonmail.com>"
USER root
RUN apk add nushell &&\
    apk cache purge

FROM base AS release
USER user
ENV USER user
ENV HOME /home/user
ENV XDG_RUNTIME_DIR=/run/user/1000
ENTRYPOINT [ "nu" ]
CMD [ "--help" ]
